﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FilterDDCulture_TDBG
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            /*Both the Filter dropdowns of the Grid automatically follow the CurrentCulture*/

            CultureInfo.CurrentCulture = CultureInfo.GetCultureInfo("de-DE");
            CultureInfo.CurrentUICulture = CultureInfo.GetCultureInfo("de-DE");

            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1TrueDBGrid1.DataSource = GetDataTable();
            c1TrueDBGrid1.Columns["Name"].FilterDropdown = true;
            c1TrueDBGrid1.Columns["Name"].FilterMultiSelect = true;
        }

        /// <summary>
        /// Sample DataTable for the Grid
        /// </summary>
        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable("Customers");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Department", typeof(string));
            dt.Columns.Add("Sex", typeof(string));
            dt.Columns.Add("Salary", typeof(decimal));
            dt.Columns.Add("Check", typeof(bool));

            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000, 0);
            dt.Rows.Add(2, "George", "ACC", "M", 4000, 0);
            dt.Rows.Add(3, "Frank", "IT", "M", 4500, 0);
            dt.Rows.Add(4, "Linda", "IT", "F", 4000, 0);
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000, 0);
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000, 0);

            return dt;
        }

        /// <summary>
        /// Enable/Disable FilterBar
        /// </summary>
        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            c1TrueDBGrid1.FilterBar = checkBox1.Checked;
        }
    }
}
